#include <v_lib.h>
#include "messages.h"

GLOBAL_DEBUG_MESSAGE(ipl_type_mismatch,"type mismatch")
GLOBAL_DEBUG_MESSAGE(ipl_name_in_use,"name already in use: ")
GLOBAL_DEBUG_MESSAGE(ipl_circular_reference,"circular reference: ")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_colorspace,"wrong colorspace")
GLOBAL_DEBUG_MESSAGE(ipl_unknown_channel,"unknown color channel ")
GLOBAL_DEBUG_MESSAGE(ipl_unknown_toplevel_token,"unknown top-level token ")
GLOBAL_DEBUG_MESSAGE(ipl_unknown,"unknown ")
GLOBAL_DEBUG_MESSAGE(ipl_operation," operation")
GLOBAL_DEBUG_MESSAGE(ipl_incomplete_definition,"incomplete definition")
GLOBAL_DEBUG_MESSAGE(ipl_size_mismatch,"arguments of different size")
GLOBAL_DEBUG_MESSAGE(ipl_3x3_size_required,"filter must be 3 X 3")
GLOBAL_DEBUG_MESSAGE(ipl_not_square,"non-square image")
GLOBAL_DEBUG_MESSAGE(ipl_domain_mismatch,"arguments in different domains")
GLOBAL_DEBUG_MESSAGE(ipl_using_state,"using state field")
GLOBAL_DEBUG_MESSAGE(ipl_null_func_arg,"NULL function argument")
GLOBAL_DEBUG_MESSAGE(ipl_roundoff_too_large,"roundoff error too large")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_bounds,"wrong bounds")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_domain,"wrong domain")
GLOBAL_DEBUG_MESSAGE(ipl_not_powers2,"non-powers2 image")
GLOBAL_DEBUG_MESSAGE(ipl_fft_requires_powers2,
    "Fourier and frequency-domain transforms can be applied "
    "only if both dimensions are powers of 2")
GLOBAL_DEBUG_MESSAGE(ipl_state_size_unset,"size field in state is not set")
GLOBAL_DEBUG_MESSAGE(ipl_state_wh_unset,
    "width and/or height fields in state are not set")
GLOBAL_DEBUG_MESSAGE(ipl_invalid_operation,"invalid operation")
GLOBAL_DEBUG_MESSAGE(ipl_not_found,"definition not found: ")
GLOBAL_DEBUG_MESSAGE(ipl_constant_matrix,"constant matrix, can't transform")
GLOBAL_DEBUG_MESSAGE(ipl_constant_vector,"constant vector, can't transform")
GLOBAL_DEBUG_MESSAGE(ipl_unbalanced_braces,"unbalanced braces")
GLOBAL_DEBUG_MESSAGE(ipl_argument_override,"overriding current data")
GLOBAL_DEBUG_MESSAGE(ipl_cast_to_integer,"floating-point value rounded down")

GLOBAL_DEBUG_MESSAGE(ipl_unknown_transform,"unknown type of transform")
GLOBAL_DEBUG_MESSAGE(ipl_no_such_transform,"no such transform")
GLOBAL_DEBUG_MESSAGE(ipl_unable_copy_args,"unable to copy arguments")

GLOBAL_DEBUG_MESSAGE(ipl_wrong_float_constant,"wrong float constant")
